Flag read

get/Flag/{id}
Page View

This resource contains a warning or notification about a patient that care teams should be aware of. Flags may indicate a confirmed or suspected infection (e.g., MRSA or suspected COVID-19) or a short, free-text FYI note on the patient's record.

read

Review a specific Flag resource with details about an infection, FYI, or other potential issue to consider when providing care to a patient.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Flag/{id}' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN'

Request Parameters

  • id
    required, string

    Flag identifier

Response fields and example

Example Flag
json
1
{}

    A profile on the Flag resource that conforms to Redox requirements. Represents a prospective warning of potential issues when providing care to the patient.

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Flag
  • status
    required, string

    Supports basic workflow.

    Possible Values: active, inactive, entered-in-error
  • code
    required, object

    The coded value or textual component of the flag to display to the user.

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • subject
    required, object

    The patient, location, group, organization, or practitioner etc. this is about record this flag is associated with.

    Must be a resource of type Patient.

    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • id
    string

    The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

  • identifier
    Array of object

    Business identifiers assigned to this flag by the performer or other systems which remain constant as the resource is updated and propagates from server to server.

    • extension
      Array of Boolean, String, CodeableConcept, Coding

      May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

      • url
        required, string

        Source of the definition for the extension code - a logical name or a URL.

      • valueBoolean
        boolean

        A single value for the extension.

    • use
      string

      The purpose of this identifier.

      Possible Values: usual, official, temp, secondary, old (If known)
    • system
      string

      Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

    • value
      string

      The portion of the identifier typically relevant to the user and which is unique within the context of the system.

  • category
    Array of object

    Allows a flag to be divided into different categories like clinical, administrative etc. Intended to be used as a means of filtering which flags are displayed to particular user or in a given context.

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • period
    object

    The period of time from the activation of the flag to inactivation of the flag. If the flag is active, the end of the period should be unspecified.

    • start
      string

      The start of the period. The boundary is inclusive.

    • end
      string

      The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time.

  • encounter
    object

    This alert is only relevant during the encounter.

    Must be a resource of type Encounter.

    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • author
    object

    The person, organization or device that created the flag.

    Must reference one of the following types of resources:

    • Practitioner
    • Organization
    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.